Bug 1252935 - nettle: sha3 implementation does not conform to the published version
Summary: nettle: sha3 implementation does not conform to the published version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nettle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-12 14:29 UTC by Nikos Mavrogiannopoulos
Modified: 2015-11-09 21:53 UTC (History)
4 users (show)

Fixed In Version: nettle-3.1.1-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 21:53:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2015-08-12 14:29:21 UTC
Description of problem:
The final version of SHA3 [0] does not match the original accepted version of keccak. The changes are trivial but nevertheless result to incompatible results [1].

[0]. http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf
[1]. https://en.wikipedia.org/wiki/SHA-3#Examples_of_SHA-3_and_Keccak_variants

Comment 2 Fedora Update System 2015-10-22 07:28:58 UTC
nettle-3.1.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0bdf9823bf

Comment 3 Fedora Update System 2015-10-24 12:08:13 UTC
nettle-3.1.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nettle'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0bdf9823bf

Comment 4 Fedora Update System 2015-11-09 21:53:56 UTC
nettle-3.1.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.